# Uses of Enum Class
javafx.scene.text.TextAlignment

Packages that use TextAlignment
Package
Description
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of TextAlignment in javafx.scene.canvas

Methods in javafx.scene.canvas that return TextAlignment
Modifier and Type
Method
Description
`TextAlignment`
GraphicsContext.`getTextAlign()`
Gets the current `TextAlignment`.
Methods in javafx.scene.canvas with parameters of type TextAlignment
Modifier and Type
Method
Description
`void`
GraphicsContext.`setTextAlign(TextAlignment align)`
Defines horizontal text alignment, relative to the text `x` origin.

## Uses of TextAlignment in javafx.scene.control

Methods in javafx.scene.control that return TextAlignment
Modifier and Type
Method
Description
`final TextAlignment`
Labeled.`getTextAlignment()`
Gets the value of the `textAlignment` property.
`final TextAlignment`
Tooltip.`getTextAlignment()`
Gets the value of the `textAlignment` property.
Methods in javafx.scene.control that return types with arguments of type TextAlignment
Modifier and Type
Method
Description
`final ObjectProperty<TextAlignment>`
Labeled.`textAlignmentProperty()`
Specifies the behavior for lines of text when text is multiline Unlike `Labeled.contentDisplayProperty()` which affects the graphic and text, this setting only affects multiple lines of text relative to the text bounds.
`final ObjectProperty<TextAlignment>`
Tooltip.`textAlignmentProperty()`
Specifies the behavior for lines of text when text is multiline.
Methods in javafx.scene.control with parameters of type TextAlignment
Modifier and Type
Method
Description
`final void`
Labeled.`setTextAlignment(TextAlignment value)`
Sets the value of the `textAlignment` property.
`final void`
Tooltip.`setTextAlignment(TextAlignment value)`
Sets the value of the `textAlignment` property.

## Uses of TextAlignment in javafx.scene.text

Methods in javafx.scene.text that return TextAlignment
Modifier and Type
Method
Description
`final TextAlignment`
Text.`getTextAlignment()`
Gets the value of the `textAlignment` property.
`final TextAlignment`
TextFlow.`getTextAlignment()`
Gets the value of the `textAlignment` property.
`static TextAlignment`
TextAlignment.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TextAlignment[]`
TextAlignment.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.text that return types with arguments of type TextAlignment
Modifier and Type
Method
Description
`final ObjectProperty<TextAlignment>`
Text.`textAlignmentProperty()`
Defines horizontal text alignment in the bounding box.
`final ObjectProperty<TextAlignment>`
TextFlow.`textAlignmentProperty()`
Defines horizontal text alignment.
Methods in javafx.scene.text with parameters of type TextAlignment
Modifier and Type
Method
Description
`final void`
Text.`setTextAlignment(TextAlignment value)`
Sets the value of the `textAlignment` property.
`final void`
TextFlow.`setTextAlignment(TextAlignment value)`
Sets the value of the `textAlignment` property.